%define name    libgig
%define version 4.3.0
%define release 30

%define _soname %{name}10

%define _prefix /usr

%if %{defined fedora}
%global debug_package %{nil}
%endif

Summary:	C++ Library for accessing GigaSampler, DLS, SF2, KORG, AKAI files
Name: libgig
Version: 4.3.0
Release: 30.rncbc.suse
#Prefix:	%{prefix}
License:	GPL-2.0+
Group:		Sound
Source0:	%{name}-%{version}.tar.bz2
URL:		https://www.linuxsampler.org/libgig/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
#Packager:	rncbc.org

BuildRequires:	coreutils
BuildRequires:	pkgconfig
BuildRequires:	glibc-devel
BuildRequires:	gcc-c++, automake, libtool
BuildRequires:	libsndfile-devel
BuildRequires:	libuuid-devel
BuildRequires:	doxygen

%description
C++ Library for accessing GigaSampler, DLS, SF2, KORG, AKAI files.


%package -n %{_soname}
Summary:	C++ Library for accessing GigaSampler, DLS, SF2, KORG, AKAI files
Group:		System/Libraries
Provides:	%{name}

%description -n %{_soname}
C++ Library for accessing Gigasampler, DLS, SF2, KORG, AKAI files.

%package devel
Summary:	C++ Library for accessing GigaSampler, DLS, SF2, KORG, AKAI files - development files
Group:		Development/Libraries/C and C++
Requires:	%{name} = %{version}

%description devel
C++ Library for accessing GigaSampler, DLS, SF2, KORG, AKAI files.


%prep

%setup
[ -f Makefile.svn ] && %__make -f Makefile.svn

%build
%if %{undefined fedora}
export CFLAGS="-ffat-lto-objects"
export CXXFLAGS=$CFLAGS
%endif
%configure
%__make %{?_smp_mflags}
%__make docs

%install
%__make DESTDIR="%{buildroot}" install

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "/" ] && %__rm -rf "%{buildroot}"

%post -n %{_soname}
/sbin/ldconfig

%postun -n %{_soname}
/sbin/ldconfig

%files -n %{_soname}
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*.so.*
%{_mandir}/man1/*

%files devel
%defattr(-,root,root)
%doc doc/html/*
%{_libdir}/%{name}/*.so
%{_libdir}/%{name}/*.a
%{_libdir}/%{name}/*.la
%{_libdir}/pkgconfig/*.pc
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*

%changelog
* Sun May  9 2021 Rui Nuno Capela <rncbc@users.sourceforge.net> 4.3.0
- new release 4.3.0
* Sat Jul 27 2019 Rui Nuno Capela <rncbc@users.sourceforge.net> 4.2.0
- new release 4.2.0
* Tue Nov 28 2017 Rui Nuno Capela <rncbc@users.sourceforge.net> 4.1.0
- prepared for release 4.1.0
* Sun Jul 19 2015 Rui Nuno Capela <rncbc@users.sourceforge.net> 4.0.0
- prepared for release 4.0.0
* Thu Jul 30 2009 Christian Schoenebeck <cuse@users.sourceforge.net> 3.3.0
- prepared for release 3.3.0
* Wed Dec  3 2008 Christian Schoenebeck <cuse@users.sourceforge.net>
- fixed rpmbuild error on Fedora Core 8
  (fixes #86, patch by Devin Anderson)
* Wed Dec  5 2007 Christian Schoenebeck <cuse@users.sourceforge.net> 3.2.1
- prepared for release 3.2.1
* Sun Oct 14 2007 Christian Schoenebeck <cuse@users.sourceforge.net> 3.2.0
- prepared for release 3.2.0
- libgig's home has moved to http://www.linuxsampler.org/libgig/
* Sat Mar 24 2007 Christian Schoenebeck <cuse@users.sourceforge.net> 3.1.1
- prepared for 3.1.1
* Fri Nov 24 2006 Christian Schoenebeck <cuse@users.sourceforge.net> 3.1.0
- prepared for 3.1.0
* Thu Jun  1 2006 Rui Nuno Capela <rncbc@users.sourceforge.net>
- changed deprecated copyright attribute to license
- added ldconfig to post-(un)install steps
* Sun May  7 2006 Christian Schoenebeck <cuse@users.sourceforge.net>
- libgig's home has been slightly changed from stud.fh-heilbronn.de
  to stud.hs-heilbronn.de
* Fri Apr 28 2006 Christian Schoenebeck <cuse@users.sourceforge.net> 3.0.0
- prepared for 3.0.0
* Mon Aug 15 2005 Christian Schoenebeck <cuse@users.sourceforge.net> 2.0.2
- prepared for 2.0.2
* Mon Jun 13 2005 Rui Nuno Capela <rncbc@users.sourceforge.net> 2.0.1
- prepared for 2.0.1
* Mon May  9 2005 Rui Nuno Capela <rncbc@users.sourceforge.net> 2.0.0
- prepared for 2.0.0
* Wed Nov 24 2004 Rui Nuno Capela <rncbc@users.sourceforge.net> 1.0.0
- prepared for 1.0.0
* Sat Jul 10 2004 Christian Schoenebeck <cuse@users.sourceforge.net>
- renamed 'libgig.pc' to 'gig.pc' as well as the pkg-config lib name
* Fri Jul  2 2004 Rui Nuno Capela <rncbc@users.sourceforge.net>
- Created and corrected initial libgig.spec
